Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 28 Jul 2014, 17:07
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
How to make a pet or sfs of Google Earth 64?.
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 3 [43 Posts]   Goto page: Previous 1, 2, 3
Author Message
jamesbond

Joined: 26 Feb 2007
Posts: 2045
Location: The Blue Marble

PostPosted: Thu 19 Jun 2014, 23:27    Post subject:  

mikeb wrote:
Ok to restate... only one link is needed...BUT the link itself will vary depending on the system. A sfs made for one will fail on another for example. I believe pets can run install scripts..I assume thats the way to deal with this.

mike


No, only one link is needed. Located in /lib, ld-lsb-x86-64.so.3 should be linked to ld-linux-x86-64.so.2. This will work across all published Fatdog64 versions (and LH64 too, I believe, but I have not checked that).

Quote:
FD 7 ooooooohhhhh is it coming soon? will be near highspeed internet end of workweek just putting that out there no pressure..
All in due time Wink
_________________
Fatdog64, Slacko and Puppeee user. Puppy user since 2.13
Back to top
View user's profile Send private message 
Ted Dog


Joined: 13 Sep 2005
Posts: 2298
Location: Heart of Texas

PostPosted: Fri 20 Jun 2014, 00:09    Post subject:  

should name it 007 ha ha.. Laughing really should let some of us long time tinkers preview. Since I have tricky hardware I volunteer..
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8033

PostPosted: Fri 20 Jun 2014, 03:36    Post subject:  

Well

Quote:
ln -s ld-2.11.1.so ld-lsb-x86-64.so.3 # for Fatdog 521
ln -s ld-2.13.so ld-lsb-x86-64.so.3 # for Fatdog 631

Quote:

(up to 631. In 700, the symlink must be in /lib64 - but that's another story Wink ).


led me to believe there were at least 2 possibilities...just trying to get the record straight here based on supplied information.

Mike
Back to top
View user's profile Send private message 
jamesbond

Joined: 26 Feb 2007
Posts: 2045
Location: The Blue Marble

PostPosted: Fri 20 Jun 2014, 06:06    Post subject:  

@mikeb,
Correct, that was my original post. But it has since been superseded this http://murga-linux.com/puppy/viewtopic.php?p=783852#783852 and the top post of this page - you don't need to link it directly to ld-2.11.1 or ld-2.13, instead link it to ld-linux-x86-64.so.2. And create that link in /lib (not lib64). As for Fatdog64 700 requiring another location - well, Fatdog64 700 isn't released yet so you can ignore it Wink

@Ted Dog,
Yes planning for that, but each time I want to upload the ISO I found another bug that requires fixing ... it's like cooking popcorn in microwave. You just have to wait until the pop goes down to once or twice a second or so to know it's good to go Smile

_________________
Fatdog64, Slacko and Puppeee user. Puppy user since 2.13
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8033

PostPosted: Fri 20 Jun 2014, 06:36    Post subject:  

Thanks for the clarification...forums make great wikis Very Happy

mike
Back to top
View user's profile Send private message 
Eathray

Joined: 06 Sep 2009
Posts: 498

PostPosted: Fri 20 Jun 2014, 09:47    Post subject:  

Cool...

Can we make a .sfs that will include the one link? Or not worth it?

As far as Fatdog and Lighthouse, I've never seen a pet or sfs for one that did not work in the other, especially in the 5xx series, but also the 6xx too, which I've played with a little.

Eathray
Back to top
View user's profile Send private message 
Eathray

Joined: 06 Sep 2009
Posts: 498

PostPosted: Fri 20 Jun 2014, 11:28    Post subject:  

Note:

I mentioned Google Earth didn't like my graphics card and that I would update my driver.

Previously I was running the vesa driver because it is so compatible and performs fine with most things I do. I upgraded to the Intel i945 and ran Earth. Initially it gave a false warning as before about not supporting the card, but I set that warning not to show again, and it launched without incident. I took it for a spin, found my house, and was able to see my Jeep parked there next to my wife's Jeep, his and hers.

Seems to be working perfectly.

Eathray
Back to top
View user's profile Send private message 
gcmartin

Joined: 14 Oct 2005
Posts: 4108
Location: Earth

PostPosted: Fri 20 Jun 2014, 12:02    Post subject:  

Is it now time to elevate these packages to the FD Repo?

Thanks for bringing this to forum attention, @Eathray.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
Eathray

Joined: 06 Sep 2009
Posts: 498

PostPosted: Fri 20 Jun 2014, 12:11    Post subject:  

Hey GC,

I would love to see it elevated to the repo's... but I'm not sure how we let people know that it needs a symlink once installed. There's not really a way to let others know from the repo's unless it's in the title.

All it seems we need is to recompile the .sfs with the symlink included, but I've never actually done a .sfs before. I've done 1 pet package, and 1 puppy remaster... which is to say, as amateur developers go, I am extremely, deeply and profoundly amateur.

But I love to learn if someone wants to lead the way...

Eathray
Back to top
View user's profile Send private message 
Eathray

Joined: 06 Sep 2009
Posts: 498

PostPosted: Fri 20 Jun 2014, 15:33    Post subject:  

Tried to install on a second computer with an nvidia card, just wanting to see the performance... Installed the same as on my laptop which now works, but this one returned an error:

Quote:
Failed to load “/opt/google/earth/free/libinput_plugin.so” because “/usr/lib/libstdc++.so.6: version ‘GLIBCXX_3.4.14' not found (required by ./libLeap.so)"


I'm guessing it needs either a symlink or a newer version of glib... This computer has the standard dbus glib package from the Fatdog64 500 pet repositories. Could someone offer some direction?

Thanks

Eathray
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8033

PostPosted: Fri 20 Jun 2014, 16:03    Post subject:  

newer version of /usr/lib/libstdc++.so.6 actually.
3.4.14 or newer as it demands...

Getting it depends on the pup...

mike
Back to top
View user's profile Send private message 
Eathray

Joined: 06 Sep 2009
Posts: 498

PostPosted: Sat 21 Jun 2014, 10:05    Post subject:  

So I've been trying to figure out why I have the newer version of glib in one of my Fatdogs (and lighthouse) but not this other install on a different computer since it's the same version of Fatdog (520)...

It looks like in the file system, I have six entries for the new glib on my laptop, and they seem to be associated with Skype. I think when I installed Skype on Fatdog and Lighthouse on my laptop, I must have picked up the new glib as a dependency.

Is there any reason why I can't just copy the new glib file from my laptop and put it where it goes on the desktop I'm trying out? The error message seems to indicate that the system knows where to look for it, so if I manually put it there, Google Earth should just find it and use it, should it not?

Eathray
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8033

PostPosted: Sun 22 Jun 2014, 06:54    Post subject:  

this is nothing to do with glib(c) its libstdc+++ which is a different library altogether... its for c++ based applications rather than c.

Changing glibc will do nothing for this problem.
Mike
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 3 [43 Posts]   Goto page: Previous 1, 2, 3
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0830s ][ Queries: 12 (0.0073s) ][ GZIP on ]